Skip to content

Search this library

GET
/peer/search

Search the local Radarr/Sonarr libraries by external id. Only movies/episodes that have files are returned. Serves empty results when no local source is configured.

Authorizations

X-Api-Key

Peer API key issued by this instance's operator. Scoped to /handshake and /peer/*.

Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

imdbId
Type
string
tmdbId
Type
string
tvdbId
Type
string
season
Type
integer
Minimum
-9007199254740991
Maximum
9007199254740991
episode
Type
integer
Minimum
-9007199254740991
Maximum
9007199254740991

Responses

Matching releases, mirroring the *arr file metadata

application/json
JSON
{
  
"items": [
  
  
{
  
  
  
"additionalProperties": null
  
  
}
  
]
}

Samples

Powered by VitePress OpenAPI

Released under the GPL-3.0 License.